Package com.collibra.catalog.sampler.api.dto

# Class SampleColumn.SampleColumnBuilder

Object
SampleColumnBuilder

Enclosing class:
  `SampleColumn`

public static class SampleColumn.SampleColumnBuilder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SampleColumn`
  `build()`
  `SampleColumn.SampleColumnBuilder`
  `displayName(String displayName)`
  `SampleColumn.SampleColumnBuilder`
  `id(UUID id)`
  `SampleColumn.SampleColumnBuilder`
  `name(String name)`
  `SampleColumn.SampleColumnBuilder`
  `samples(List<String> samples)`
  `SampleColumn.SampleColumnBuilder`
  `samplingStatus(SampleColumn.SamplingStatus samplingStatus)`
  `SampleColumn.SampleColumnBuilder`
  `tableName(String tableName)`
  `SampleColumn.SampleColumnBuilder`
  `technicalDataType(String technicalDataType)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### id

    public SampleColumn.SampleColumnBuilder id(UUID id)
    Returns:
      `this`.

  - ### name

    public SampleColumn.SampleColumnBuilder name(String name)
    Returns:
      `this`.

  - ### displayName

    public SampleColumn.SampleColumnBuilder displayName(String displayName)
    Returns:
      `this`.

  - ### technicalDataType

    public SampleColumn.SampleColumnBuilder technicalDataType(String technicalDataType)
    Returns:
      `this`.

  - ### tableName

    public SampleColumn.SampleColumnBuilder tableName(String tableName)
    Returns:
      `this`.

  - ### samples

    public SampleColumn.SampleColumnBuilder samples(List<String> samples)
    Returns:
      `this`.

  - ### samplingStatus

    public SampleColumn.SampleColumnBuilder samplingStatus(SampleColumn.SamplingStatus samplingStatus)
    Returns:
      `this`.

  - ### build

    public SampleColumn build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`